using System;

namespace TestProject
{
    /// <summary>
    /// 
    /// </summary>
    public class Person
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 
        /// </summary>
        private static Random _random = new Random();

        /// <summary>
        ///  迭
        /// </summary>
        private static string[] _lastNameArray =
        {
            "Agg",
            "Albright",
            "Armitage",
            "Arthur",
            "Aultman",
            "Baumgartner",
            "Bennett",
            "Blackburn",
            "Blunt",
            "Bryan",
            "Buck",
            "Buehler",
            "Buttermore",
            "Campbell",
            "Carmichael",
            "Congdon",
            "Coughenour",
            "Demuth",
            "Diller",
            "Eastwood",
            "Eisenman",
            "Emrick",
            "Ewing",
            "Finlay",
            "Focell",
            "Gilman",
            "Goodman",
            "Grant",
            "Gronko",
            "Hair",
            "Hamilton",
            "Hanford",
            "Harden",
            "Harrow",
            "Hayhurst",
            "Haynes",
            "Herndon",
            "Hice",
            "Holdsworth",
            "Hozier",
            "Hynes",
            "Jardine",
            "Jones",
            "Joyce",
            "Jyllian",
            "Keister",
            "Kiefer",
            "Laborde",
            "Ling",
            "Loewentsein",
            "Mccallum",
            "Mcintosh",
            "Millhouse",
            "Minnie",
            "Mitchell",
            "Mosser",
            "Myers",
            "Nabholz",
            "Newlove",
            "Nicholas",
            "Noton",
            "Orbell",
            "Osterwise",
            "Owens",
            "Patterson",
            "Pinney",
            "Powers",
            "Reichard",
            "Roberts",
            "Roby",
            "Rose",
            "Rumbaugh",
            "Schmidt",
            "Schneider",
            "Scott",
            "Sealis",
            "Shupe",
            "Spring",
            "Stahl",
            "Stone",
            "Stroble",
            "Summy",
            "Thompson",
            "Thorley",
            "Throckmorton",
            "Toke",
            "Tomco",
            "Turzanski",
            "Vorrasi",
            "Wallace",
            "Welty",
            "White",
            "Wible",
            "Wilkins",
            "Wilkinson",
            "Wortman",
            "Young",
            "Zadovsky",
            "Zeal",
            "Zoucks"
        };

        /// <summary>
        /// ̸ 迭
        /// </summary>
        private static string[] _firstNameArray =
        {
            "Adam",
            "Adelaide",
            "Alexander",
            "Aline",
            "Alys",
            "Amilia",
            "Annie",
            "Arabella",
            "Arlette",
            "Audrea",
            "Benedict",
            "Briana",
            "Brook",
            "Bryant",
            "Bud",
            "Carita",
            "Cassie",
            "Chaz",
            "Cherie",
            "Christa",
            "Christian",
            "Clint",
            "Cooper",
            "Corine",
            "Daren",
            "Della",
            "Dinah",
            "Earnestine",
            "Eleonor",
            "Elisa",
            "Eliza",
            "Elizabeth",
            "Emely",
            "Emmaline",
            "Emmy",
            "Ethan",
            "Evangelina",
            "Farley",
            "Forest",
            "Garnette",
            "Garrick",
            "Godiva",
            "Greta",
            "Hammond",
            "Haydee",
            "Hugh",
            "Ivy",
            "Jamaar",
            "Janene",
            "Jared",
            "Jayne",
            "Joan",
            "Jonathan",
            "Juliana",
            "Katelin",
            "Kimberley",
            "Krystle",
            "Lacy",
            "Lauressa",
            "Lenora",
            "Lettie",
            "Letty",
            "Lilac",
            "Lorrin",
            "Madalyn",
            "Madelyn",
            "Margo",
            "Marlowe",
            "Mary",
            "Mason",
            "Merlin",
            "Micah",
            "Mora",
            "Nicodemus",
            "Nita",
            "Quin",
            "Rayna",
            "Reina",
            "Roberta",
            "Rodge",
            "Rodney",
            "Rowina",
            "Ruth",
            "Sallie",
            "Savannah",
            "Sibilla",
            "Skye",
            "Sterling",
            "Tad",
            "Tanisha",
            "Tansy",
            "Tatton",
            "Theo",
            "Theodore",
            "Tresha",
            "Valentine",
            "Vergil",
            "Verity",
            "Willoughby",
            "Zackery"
        };

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Instance
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// ̸
        /// </summary>
        public string FirstName;

        /// <summary>
        /// 
        /// </summary>
        public string LastName;

        /// <summary>
        /// ȸ  ȣ
        /// </summary>
        public string SSN;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - Person()

        /// <summary>
        /// 
        /// </summary>
        public Person()
        {
            SSN = _random.Next(0, 1000 ).ToString("000" ) + "-" +
                  _random.Next(0, 100  ).ToString("00"  ) + "-" +
                  _random.Next(0, 10000).ToString("0000");

            FirstName = _firstNameArray[_random.Next(0, _firstNameArray.Length)];
            LastName  = _lastNameArray [_random.Next(0, _lastNameArray.Length )];
        }

        #endregion
        #region  - Person(ssn, firstName, lastName)

        /// <summary>
        /// 
        /// </summary>
        /// <param name="ssn">ȸ  ȣ</param>
        /// <param name="firstName"≯</param>
        /// <param name="lastName"></param>
        public Person(string ssn, string firstName, string lastName)
        {
            SSN       = ssn;
            FirstName = firstName;
            LastName  = lastName;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ڿ ϱ - ToString()

        /// <summary>
        /// ڿ ϱ
        /// </summary>
        /// <returns>ڿ</returns>
        public override string ToString()
        {
            return SSN + " : " + FirstName + " " + LastName;
        }

        #endregion
    }
}